#!/bin/bash
if ! quartus_sh -t make_tb.tcl; then
  echo "command 'quartus_sh -t make_tb.tcl' failed"
  exit 1;
fi

if ! quartus_sh -t compile_tb.tcl; then
  echo "command 'quartus_sh -t compile_tb.tcl' failed"
  exit 1;
fi

if [ ! -f tb.sof ]; then
  echo "no sof!"
  exit 1;
fi

if ! quartus_pgm --mode=jtag --cable=USB-Blaster --operation=p\;tb.sof; then
  echo "quartus_pgm --mode=jtag --cable=USB-Blaster --operation=p\;tb.sof' failed"
  exit 1;
fi

