module sys(
  // inputs:
  ir,
  
  // outputs:
  out,
  ss1,
  ss0
);
  input ir;
  
  output [7:0] out;
  output [7:0] ss1;
  output [7:0] ss0;
 
  assign out = {8 {~ir}};

  // Drive a pattern onto the seven seg display, for sof identification
  // '0': a, b, c, d, e, f
  //               abcdefgd
  assign ss1 = ~8'b11111100;
  
  // '5': a, c, d, f, g, dp
  //               abcdefgd
  assign ss0 = ~8'b10110111;
endmodule
